image:
  name: alpine/terragrunt
  entrypoint:
    - '/usr/bin/env'
before_script:
  - rm -rf .terraform
  - terraform --version
  - mkdir -p ./Terraform1/Module
  - mkdir -p ./Dev 
  - cd ./Terraform1/Module
  - ls
  - terraform init
  - cd ..
  - cd ..
  - cd ./Dev
  - ls
  - terragrunt init
stages:
   - apply
   - destroy
apply:
  stage: apply
  script:
    - set
    - echo $AWS_SECRET_ACCESS_KEY
    - echo $AWS_ACCESS_KEY_ID
     - mkdir -p ./Terraform1/Module
     - mkdir -p ./Dev 
     - cd ./Terraform1/Module
     - ls
     - terraform init
     - cd ..
     - cd ..
     - cd ./Dev
     - ls
    - terragrunt init
    - terragrunt apply --auto-approve
    - ls -la
    - cd ..
    - cd ./Terraform1/Module
    - ls -la
destroy:
  stage: destroy
  script:
    - set
    - echo $AWS_SECRET_ACCESS_KEY
    - echo $AWS_ACCESS_KEY_ID
     - mkdir -p ./Terraform1/Module
     - mkdir -p ./Dev 
     - cd ./Terraform1/Module
     - ls
     - terraform init
     - cd ..
     - cd ..
     - cd ./Dev
     - ls
    - terragrunt init
    - terragrunt destroy --auto-approve
  dependencies:
    - apply
  when: manual

